{ lib, ... }:
  let
    inherit (lib)
      mkOption
      types
    ;
  in {
    imports = [
      ./i18n.nix
      ./partition.nix
    ];

    options = {
      valhalla = {
        timeZone = mkOption {
          type = types.nullOr types.str;
          description = "The time zone of the system.";
          default = null;
        };

        keyMap = mkOption {
          type = types.nullOr types.str;
          description = "The console key map of the system.";
          default = null;
        };

        keyboardLayout = mkOption {
          type = types.nullOr types.str;
          description = "The X11 keyboard layout of the system.";
          default = null;
        };
      };
    };
  }
